Mailinglist Archive: opensuse-packaging (109 mails)

< Previous Next >
[opensuse-packaging] Re: [Research] Re: [devel] 2nd reminder to fix your packages for compiling with GCC 4.3
  • From: Stephan Kulow <coolo@xxxxxxx>
  • Date: Mon, 22 Oct 2007 20:56:30 +0200
  • Message-id: <200710222056.31178.coolo@xxxxxxx>
Am Montag 22 Oktober 2007 schrieb Miklos Szeredi:
> On Mon, 2007-10-22 at 15:08 +0200, Richard Guenther wrote:
> > this is a reminder for you to have a look at your packages that fail
> > in the BETA distribution (which has GCC 4.3 as its compiler).  If you
> > think that the compiler is at fault feel free to report these issues
> > back to me or file a bugzilla for them.
>
> A couple of my packages (and >100 others it seems) are failing with
>
>   error: 'foo' was not declared in this scope
>
> I'm rather clueless about C++ issues, so I don't have a clear idea if
> this is indeed a bug in all these programs or if it's a gcc problem.
>
> But even if these are bugs, wouldn't it have been prudent to make this a
> warning, for couple of releases, before turning it into an error?

As in "Warning: you obviously did not include all header files you need, but
I invented some for you"? I don't think that would work.

If 'foo' needs foo.h, you need to include it. If bar.h of gcc 4.1 happend to 
include it, there is no guarantee whatsoever that it will continue so.

Greetings, Stephan
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >
References